MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027233Open CASCADE[OCCT] OCCT:Configurationpublic2016-03-05 16:072016-04-20 15:49
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityblock 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027233: Configuration - do not include version in SONAME for Android target
DescriptionLibraries with version suffix at the end of file (introduced by 0026916) can not be trivially loaded from Java code on Android platform. It is better to omit version from file name at all.
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0027232closedkgv Configuration - fix mblen missing building issue on Android 
child of 0026916closedabv Configuration, CMake - configure variables to customize installation path separately for executables, libraries and resources 

-  Notes
(0051428)
git (administrator)
2016-03-05 16:52

Branch CR27233 has been created by kgv.

SHA-1: 41c012f0761378966a2411538e8fc0eb7e117c16


Detailed log of new commits:

Author: kgv
Date: Sat Mar 5 16:51:26 2016 +0300

    0027233: Configuration - do not include version in SONAME for Android target
(0051429)
kgv (developer)
2016-03-05 16:52

Patch is ready for review.
(0051431)
abv (manager)
2016-03-07 17:43

No remarks, please check compilation and integrate (branch CR27233, contains also fox for 0027232)
(0052819)
git (administrator)
2016-04-17 13:07

Branch CR27233 has been deleted by kgv.

SHA-1: 41c012f0761378966a2411538e8fc0eb7e117c16

- Related Changesets
occt: master 41c012f0
Timestamp: 2016-03-05 13:51:26
Author: kgv
Details ] Diff ]
0027233: Configuration - do not include version in SONAME for Android target
mod - adm/cmake/occt_toolkit.cmake Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-03-05 16:07 kgv New Issue
2016-03-05 16:07 kgv Assigned To => bugmaster
2016-03-05 16:07 kgv Relationship added child of 0026916
2016-03-05 16:08 kgv Assigned To bugmaster => kgv
2016-03-05 16:08 kgv Status new => assigned
2016-03-05 16:08 kgv Description Updated View Revisions
2016-03-05 16:52 git Note Added: 0051428
2016-03-05 16:52 kgv Note Added: 0051429
2016-03-05 16:52 kgv Assigned To kgv => abv
2016-03-05 16:52 kgv Status assigned => resolved
2016-03-05 16:52 kgv Relationship added related to 0027232
2016-03-07 17:43 abv Note Added: 0051431
2016-03-07 17:43 abv Assigned To abv => bugmaster
2016-03-07 17:43 abv Status resolved => reviewed
2016-03-21 14:58 kgv Changeset attached => occt master 41c012f0
2016-03-21 14:58 kgv Assigned To bugmaster => kgv
2016-03-21 14:58 kgv Status reviewed => verified
2016-03-21 14:58 kgv Resolution open => fixed
2016-04-17 13:07 git Note Added: 0052819
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker